Package org.flowable.job.api

# Interface ExternalWorkerJobQuery

All Superinterfaces:
  `BaseJobQuery<ExternalWorkerJobQuery,ExternalWorkerJob>`, `Query<ExternalWorkerJobQuery,ExternalWorkerJob>`

public interface ExternalWorkerJobQuery extends BaseJobQuery<ExternalWorkerJobQuery,ExternalWorkerJob>
Allows programmatic querying of External Worker `Job`s.

Author:
  Filip Hrisafov

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.flowable.common.engine.api.query.Query

  `Query.NullHandlingOnOrder`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ExternalWorkerJobQuery`
  `forUserOrGroups(String userId, Collection<String> groups)`
  Only select jobs for the given user or groups.
  `ExternalWorkerJobQuery`
  `locked()`
  Only return jobs that are locked (i.e. they are acquired by an executor).
  `ExternalWorkerJobQuery`
  `lockOwner(String lockOwner)`
  Only return jobs with the given lock owner.
  `ExternalWorkerJobQuery`
  `unlocked()`
  Only return jobs that are not locked.

  ### Methods inherited from interface org.flowable.job.api.BaseJobQuery

  `caseDefinitionId, caseDefinitionKey, caseInstanceId, category, categoryLike, correlationId, duedateHigherThan, duedateLowerThan, elementId, elementName, exceptionMessage, executionId, handlerType, handlerTypes, jobId, jobIds, jobTenantId, jobTenantIdLike, jobWithoutTenantId, orderByExecutionId, orderByJobCreateTime, orderByJobDuedate, orderByJobId, orderByJobRetries, orderByProcessInstanceId, orderByTenantId, planItemInstanceId, processDefinitionId, processDefinitionKey, processInstanceId, scopeDefinitionId, scopeId, scopeType, subScopeId, withException, withoutProcessInstanceId, withoutScopeId, withoutScopeType`

  ### Methods inherited from interface org.flowable.common.engine.api.query.Query

  `asc, count, desc, list, listPage, orderBy, orderBy, singleResult`

- ## Method Details

  - ### forUserOrGroups

    ExternalWorkerJobQuery forUserOrGroups(String userId, Collection<String> groups)
    Only select jobs for the given user or groups.

  - ### lockOwner

    ExternalWorkerJobQuery lockOwner(String lockOwner)
    Only return jobs with the given lock owner.

  - ### locked

    ExternalWorkerJobQuery locked()
    Only return jobs that are locked (i.e. they are acquired by an executor).

  - ### unlocked

    ExternalWorkerJobQuery unlocked()
    Only return jobs that are not locked.